ScummVM logo Forum Index - ScummVM website - Contact us - Buy Supported Games: GOG.com Rules - Search - Register - Login curved edge
Folder Forum Index > Help and Support > ScummVM wrappers in MacOS
ScummVM wrappers in MacOS
  Author    Thread Reply to topic
almeath



Joined: 14 Mar 2008
Posts: 28
ScummVM wrappers in MacOS 

Some years back I came across a MacOS-specific wrapper project on another forum, which provided the ability to create customizable self-contained ScummVM wrappers for compatible games. Development appears to have ceased on this wrapper around 2012, but over the years I was able to keep it going by replacing the ScummVM executable inside the wrapper with the latest version.

As of ScummVM 1.9 the wrapper does not appear to function anymore. I am completely ignorant about programming but I assume the wrapper no longer recognizes the executable due to ongoing changes and improvements in the code.

I find it more convenient to use self-contained wrappers rather than having to use the ScummVM front-end. Are there any Mac users on here who have come across alternative wrappers or learned how to create their own? If it helps, I would be happy to share one of my wrappers so you can see how it was done by the other developer.

 Reply with quote  
Post Sun Nov 20, 2016 5:51 am 
 View user's profile Send private message
almeath



Joined: 14 Mar 2008
Posts: 28
 

If anyone wants to check out the wrapper, I have uploaded it here:

http://userweb.eftel.com/~almeath/scummvm/

 Reply with quote  
Post Mon Nov 21, 2016 1:06 pm 
 View user's profile Send private message
criezy
ScummVM Developer


Joined: 23 Sep 2006
Posts: 405
Location: West Sussex, UK
 

Has the wrapper really stopped working with version 1.9.0? I don't really see any changes in that version that would be relevant. However if it stopped working as of version 1.8.1 (i.e. worked with version 1.8.0 but not with version 1.8.1) I would hasard a guess that this is related to the additional dependency to Sparkle. The Sparkle framework needs to be included in the bundle, so you would need to copy it from the original ScummVM 1.9.0 bundle to your wrapper bundle (and the same is true with version 1.8.1).

You can also have a look at the last post in the following forum thread for another solution:
http://forums.scummvm.org/viewtopic.php?t=4993&postdays=0&postorder=asc&start=15

Also, while not a wrapper, ScummVM 1.8.1 introduced another way to start games bypassing the ScummVM launcher. If you add ScummVM to the Dock, it will list the last few games you played and allow starting one of those. To access the list of recent games, and start one of those, you need to do a right mouse button click on the ScummVM icon in the Dock (while ScummVM itself is not running). Here is an example of how it works: https://www.youtube.com/watch?v=hOfb500kRM8

 Reply with quote  
Post Mon Nov 21, 2016 2:30 pm 
 View user's profile Send private message
almeath



Joined: 14 Mar 2008
Posts: 28
 

I must have overlooked version 1.8.1 and upgraded straight from 1.8 to 1.9.

Once I added the sparkle framework everything worked perfectly.

Thank you for the very useful advice. Very Happy

 Reply with quote  
Post Tue Nov 22, 2016 2:35 pm 
 View user's profile Send private message
  Display posts from previous:      
Reply to topic

Forum Jump:
 



Forum Rules:
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum

 

Powered by phpBB © 2001, 2006 phpBB Group
Forum design by ScummVM team, icons by raina
curved edge   curved edge